get
https://api4.optimove.net/Customers/GetCustomerFutureValues
Returns customer IDs and their current future values.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Rate Limit
This endpoint is subject to the general API rate limit of 50 requests per 10 seconds. Learn more about handling rate limits.
Notes
- Future Value is a prediction of the future revenues expected from a customer during a particular time period, as calculated by Optimove’s customer model.
- This function can be called by specifying either LifecycleStageID or CustomerAttribute with CustomerAttributeValue.
- When using LifecycleStageID, a single integer lifecycle stage ID or a string containing multiple comma-separated integer values may be supplied (as shown in the above sample requests).
- The list of lifecycle stage IDs available for this function can be obtained with the GetLifecycleStageList function.
Sample Request
https://apiX.optimove.net/current/customers/GetCustomerFutureValues?LifecycleStageID=3
OR
https://apiX.optimove.net/current/customers/GetCustomerFutureValues?LifecycleStageID=1,2,3
OR
Sample Response
[
{"CustomerID":"631942","FutureValue":342.65},
{"CustomerID":"257938","FutureValue":102.33}
]